Package org.gradle.ide.xcode.tasks

# Class GenerateXcodeProjectFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>
org.gradle.plugins.ide.api.PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>
org.gradle.ide.xcode.tasks.GenerateXcodeProjectFileTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateXcodeProjectFileTask extends PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>
Task for generating a Xcode project file (e.g. `Foo.xcodeproj/project.pbxproj`). A project contains all the elements used to build your products and maintains the relationships between those elements. It contains one or more targets, which specify how to build products. A project defines default build settings for all the targets in the project (each target can also specify its own build settings, which override the project build settings).

Since:
  4.2
See Also:
  - `XcodeProject`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateXcodeProjectFileTask(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(org.gradle.ide.xcode.tasks.internal.XcodeProjectFile projectFile)`
  `protected org.gradle.ide.xcode.tasks.internal.XcodeProjectFile`
  `create()`
  `XcodeProject`
  `getXcodeProject()`
  `void`
  `setXcodeProject(XcodeProject xcodeProject)`

  ### Methods inherited from class org.gradle.plugins.ide.api.PropertyListGeneratorTask

  `getPropertyListTransformer`

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `generate, getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateXcodeProjectFileTask

    @Inject public GenerateXcodeProjectFileTask(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator)

- ## Method Details

  - ### configure

    protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeProjectFile projectFile)
    Specified by:
      `configure` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>`

  - ### create

    protected org.gradle.ide.xcode.tasks.internal.XcodeProjectFile create()
    Specified by:
      `create` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>`

  - ### getXcodeProject

    @Internal public XcodeProject getXcodeProject()

  - ### setXcodeProject

    public void setXcodeProject(XcodeProject xcodeProject)